Apache JMeter

## org.apache.jmeter.protocol.http.sampler
Class HTTPHCAbstractImpl

    java.lang.Object
      org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl
          org.apache.jmeter.protocol.http.sampler.HTTPHCAbstractImpl

All Implemented Interfaces:
  HTTPConstantsInterface, Interruptible

Direct Known Subclasses:
  HTTPHC3Impl, HTTPHC4Impl

    public abstract class HTTPHCAbstractImpl

extends HTTPAbstractImpl

Common parent class for HttpClient implementations. Includes system property settings that are handled internally by the Java HTTP implementation, but which need to be explicitly configured in HttpClient implementations.

Field Summary
`protected static int` `CPS_HTTP`
`protected static int` `CPS_HTTPS`
`protected static String` `HTTP_VERSION`
`protected static InetAddress` `localAddress`
`protected static String` `localHost`
`protected static String` `NONPROXY_HOSTS`
`protected static Set<String>` `nonProxyHostFull`
`protected static List<String>` `nonProxyHostSuffix`
`protected static int` `nonProxyHostSuffixSize`
`protected static boolean` `PROXY_DEFINED`
`protected static String` `PROXY_DOMAIN`
`protected static String` `PROXY_HOST`
`protected static String` `PROXY_PASS`
`protected static int` `PROXY_PORT`
`protected static String` `PROXY_USER`
`protected static int` `SO_TIMEOUT`
`protected static boolean` `USE_LOOPBACK`

Fields inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl
`testElement`

Fields inherited from interface org.apache.jmeter.protocol.http.util.HTTPConstantsInterface

`APPLICATION_X_WWW_FORM_URLENCODED, CACHE_CONTROL, CONNECT, CONNECTION_CLOSE, DEFAULT_HTTP_PORT, DEFAULT_HTTP_PORT_STRING, DEFAULT_HTTPS_PORT, DEFAULT_HTTPS_PORT_STRING, DELETE, ENCODING_GZIP, ETAG, EXPIRES, GET, HEAD, HEADER_AUTHORIZATION, HEADER_CONNECTION, HEADER_CONTENT_DISPOSITION, HEADER_CONTENT_ENCODING, HEADER_CONTENT_LENGTH, HEADER_CONTENT_TYPE, HEADER_COOKIE, HEADER_HOST, HEADER_LOCATION, HEADER_SET_COOKIE, HTTP_1_1, IF_MODIFIED_SINCE, IF_NONE_MATCH, KEEP_ALIVE, LAST_MODIFIED, MULTIPART_FORM_DATA, OPTIONS, POST, PROTOCOL_HTTP, PROTOCOL_HTTPS, PUT, TRACE, TRANSFER_ENCODING`

Constructor Summary
`protected` `HTTPHCAbstractImpl(HTTPSamplerBase testElement)`

Method Summary
`protected boolean` `isDynamicProxy(String proxyHost, int proxyPort)` Is a dynamic proxy defined?
`protected static boolean` `isNonProxy(String host)`
`protected static boolean` `isPartialMatch(String host)`
`protected static boolean` `isStaticProxy(String host)` Is a static proxy defined?

Methods inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl

`errorResult, getArguments, getAuthManager, getAutoRedirects, getCacheManager, getConnectTimeout, getContentEncoding, getCookieManager, getDoBrowserCompatibleMultipart, getHeaderManager, getHTTPFiles, getIpSource, getProxyHost, getProxyPass, getProxyPortInt, getProxyUser, getResponseTimeout, getSendFileAsPostBody, getSendParameterValuesAsPostBody, getUseKeepAlive, getUseMultipartForPost, hasArguments, isMonitor, isSuccessCode, notifySSLContextWasReset, readResponse, readResponse, resultProcessing, sample, setUseKeepAlive, threadFinished`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.samplers.Interruptible
`interrupt`

Field Detail

### PROXY_HOST

    protected static final String PROXY_HOST

### NONPROXY_HOSTS

    protected static final String NONPROXY_HOSTS

### PROXY_PORT

    protected static final int PROXY_PORT

### PROXY_DEFINED

    protected static final boolean PROXY_DEFINED

### PROXY_USER

    protected static final String PROXY_USER

### PROXY_PASS

    protected static final String PROXY_PASS

### PROXY_DOMAIN

    protected static final String PROXY_DOMAIN

### localAddress

    protected static final InetAddress localAddress

### localHost

    protected static final String localHost

### nonProxyHostFull

    protected static final Set<String> nonProxyHostFull

### nonProxyHostSuffix

    protected static final List<String> nonProxyHostSuffix

### nonProxyHostSuffixSize

    protected static final int nonProxyHostSuffixSize

### CPS_HTTP

    protected static final int CPS_HTTP

### CPS_HTTPS

    protected static final int CPS_HTTPS

### USE_LOOPBACK

    protected static final boolean USE_LOOPBACK

### HTTP_VERSION

    protected static final String HTTP_VERSION

### SO_TIMEOUT

    protected static final int SO_TIMEOUT

Constructor Detail

### HTTPHCAbstractImpl

    protected HTTPHCAbstractImpl(HTTPSamplerBase testElement)

Method Detail

### isNonProxy

    protected static boolean isNonProxy(String host)

### isPartialMatch

    protected static boolean isPartialMatch(String host)

### isDynamicProxy

    protected boolean isDynamicProxy(String proxyHost,
                                     int proxyPort)

  Is a dynamic proxy defined?

  Parameters:
    `proxyHost` - the host to check
    `proxyPort` - the port to check
  Returns:
    `true` iff both ProxyPort and ProxyHost are defined.

### isStaticProxy

    protected static boolean isStaticProxy(String host)

  Is a static proxy defined?

  Parameters:
    `host` - to check against non-proxy hosts
  Returns:
    `true` iff a static proxy has been defined.

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.